unit opinline;

{ Workalike unit to TurboPower's Opinline unit }

interface

type
  LH = record
    L,H : word;
  end;

function minword(x,y:word):word;
function maxword(x,y:word):word;

function minlong(x,y:longint):longint;

function Normalized(p:pointer):pointer;

function AddwordToPtr(p:pointer;w:word):pointer;
function PtrToLong(p:pointer):longint;

implementation

uses hugemem;

function minword(x,y:word):word;
begin
  if x<y then
    minword := x
  else
    minword := y;
end;

function maxword(x,y:word):word;
begin
  if x>y then
    maxword := x
  else
    maxword := y;
end;

function minlong(x,y:longint):longint;
begin
  if x<y then
    minlong := x
  else
    minlong := y;
end;

function Normalized(p:pointer):pointer;
begin
  with LH(p) do
    Normalized := Ptr( H + L shr 4, L and $F);
end;

function Addwordtoptr(p:pointer;w:word):pointer;
begin
  incPtr(p,w);
  Addwordtoptr := p;
end;

function PtrToLong;
begin
  with LH(p) do
    PtrToLong := longint(H) shl 4 + L;
end;

end.